<?php

defined('IN_CART') or die;

require_once COMMONPATH . "/http.class.php";

/**
 *
 *
 * 短信发送类
 *
 */
class Sms {
	
	protected $http;	//http访问类
	
	protected $url		= "http://api.smsbao.com"; //sms短信接口
	
	protected $smsphone	= ""; //sms登录手机号

	protected $smspass	= "";//sms登录密码

	protected $smssign	= "";//sms签名
	
	protected $error		= "";
	/**
	 *
	 *
	 * 构造函数
	 *
	 */
	public function __construct($smsphone = "",$smspass = "",$smssign = "") {
		$this->http = new Http();
		$this->smsphone = $smsphone;
		$this->smspass  = md5($smspass);
		$this->smssign  = $smssign;
	}
	
	/**
	 *
	 *
	 * 验证用户是否正确，如果正确，返回用户信息，
	 *
	 */
	public function getUser() {
		if(!$this->smsphone || !$this->smspass) return null;
		$ret = $this->http->post($this->url ."/query",array("u"=>$this->smsphone,"p"=>$this->smspass));
		$ret = explode(',', $ret);
		return $ret['1'];
	}
	
	/**
	 *
	 *
	 * 发送短信
	 *
	 */
	public function send($phone,$content) {
		if(!$this->smsphone || !$this->smspass) return null;
		$ret = $this->http->post($this->url."/sms",array("u"=>$this->smsphone,"p"=>$this->smspass,"m"=>$phone,"c"=>"【".$this->smssign."】".$content));
		if($ret == 0) {
			return true;
		}else{
			$this->error = $ret;
		}
		return false;
	}
	
	/**
	 *
	 *
	 * 发送短信
	 *
	 */
	public function getError() {
		return $this->error;
	} 
}